<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__bitrate__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_bitrate_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__bitrate__t_1a799cba48b1e361b3c36d0e6c45bbde9b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_canfd_bitrate_t::prescaler</definition>
        <argsstring />
        <name>prescaler</name>
        <briefdescription>
<para>Baud rate prescaler. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="872" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="872" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__bitrate__t_1a523057c64beba065109a9e1ddde61026" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_bitrate_t::timeSegment1</definition>
        <argsstring />
        <name>timeSegment1</name>
        <briefdescription>
<para>Time segment before sample point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="873" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="873" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__bitrate__t_1ae64d325646d076fddcd642b675fd69fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_bitrate_t::timeSegment2</definition>
        <argsstring />
        <name>timeSegment2</name>
        <briefdescription>
<para>Time segment after sample point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="874" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="874" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__bitrate__t_1af0366ec649f3052303d8def51ec61147" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_bitrate_t::syncJumpWidth</definition>
        <argsstring />
        <name>syncJumpWidth</name>
        <briefdescription>
<para>Synchronization jump width. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="875" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="875" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CAN FD bitrate. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="876" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="870" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="871" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__bitrate__t_1a799cba48b1e361b3c36d0e6c45bbde9b" virt="non-virtual"><scope>cy_stc_canfd_bitrate_t</scope><name>prescaler</name></member>
      <member prot="public" refid="structcy__stc__canfd__bitrate__t_1af0366ec649f3052303d8def51ec61147" virt="non-virtual"><scope>cy_stc_canfd_bitrate_t</scope><name>syncJumpWidth</name></member>
      <member prot="public" refid="structcy__stc__canfd__bitrate__t_1a523057c64beba065109a9e1ddde61026" virt="non-virtual"><scope>cy_stc_canfd_bitrate_t</scope><name>timeSegment1</name></member>
      <member prot="public" refid="structcy__stc__canfd__bitrate__t_1ae64d325646d076fddcd642b675fd69fb" virt="non-virtual"><scope>cy_stc_canfd_bitrate_t</scope><name>timeSegment2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>